From 22d6cd4339ed9f658c0fb2a5646eecec9ae438bd Mon Sep 17 00:00:00 2001
From: Sebastien Zwickert <dilaroga@free.fr>
Date: Sun, 5 Aug 2012 13:24:44 +0200
Subject: [PATCH 1/2] Fix MMXEXT and SSE checks.

---
 modules/video_filter/deinterlace/algo_phosphor.c |    2 ++
 modules/video_filter/deinterlace/algo_x.c        |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

diff --git a/modules/video_filter/deinterlace/algo_phosphor.c b/modules/video_filter/deinterlace/algo_phosphor.c
index b16ce55..cc1fc0e 100644
--- a/modules/video_filter/deinterlace/algo_phosphor.c
+++ b/modules/video_filter/deinterlace/algo_phosphor.c
@@ -131,7 +131,9 @@ static void DarkenField( picture_t *p_dst,
                 movq_r2m( mm0, (*po++) );
             }
         }
+# ifndef __SSE__
         else
+# endif
 #endif
 #if !defined (CAN_COMPILE_MMXEXT) || !defined (__SSE__)
         {
diff --git a/modules/video_filter/deinterlace/algo_x.c b/modules/video_filter/deinterlace/algo_x.c
index dd5bcd1..782388e 100644
--- a/modules/video_filter/deinterlace/algo_x.c
+++ b/modules/video_filter/deinterlace/algo_x.c
@@ -563,9 +563,9 @@ void RenderX( picture_t *p_outpic, picture_t *p_pic )
             if( u_cpu & VLC_CPU_MMXEXT )
 # endif
                 XDeintBand8x8MMXEXT( dst, i_dst, src, i_src, i_mbx, i_modx );
-            else
 #endif
 #ifndef __SSE__
+            else
                 XDeintBand8x8C( dst, i_dst, src, i_src, i_mbx, i_modx );
 #endif
         }
-- 
1.7.5.4

